Package Details: ros-kinetic-rviz 1.12.16-1

Git Clone URL: https://aur.archlinux.org/ros-kinetic-rviz.git (read-only)
Package Base: ros-kinetic-rviz
Description: ROS - 3D visualization tool for ROS.
Upstream URL: http://ros.org/wiki/rviz
Licenses: BSD, Creative Commons
Submitter: zootboy
Maintainer: jerry73204
Last Packager: jerry73204
Votes: 3
Popularity: 0.000001
First Submitted: 2017-01-14 03:34
Last Updated: 2018-11-05 01:12

Dependencies (63)

Sources (1)

Latest Comments

« First ‹ Previous 1 2

zaidan commented on 2017-06-02 10:59

I have added the ogre-1.9.0 package:
https://aur.archlinux.org/packages/ogre-1.9/

it is based on the official package (2017-01-02):
https://git.archlinux.org/svntogit/community.git/commit/trunk?h=packages/ogre&id=54bf8ccbe7bce6660f1bfa713ff357400186b3ac

It creates all required symlinks in /usr/lib for all *.so.1.9.0 files
and can be installed without conflict along with the official ogre package (but not required).

@zootboy please change the ogre dependency to ogre-1.9.

FinnLinxxx commented on 2017-05-12 01:43

This got it going for me (workaround):

$ sudo pacman -R ogre
(that the newer version of ogre does not fit the depenency yet is much likely)
I. Download ogre from Archive (https://archive.archlinux.org/packages/o/ogre/) Version: ogre-1.9.0-16-x86_64.pkg.tar.xz (106MB) from 02-Jan-2017
$ sudo pacman -U ~/path/to/ogre-1.9.0-16-x86_64.pkg.tar.xz

Proceed with the install of this package (yaourt).
Visualize all the Data!

ryanvade commented on 2017-05-03 16:37

Not building at the moment:
ros-kinetic-rviz/src/rviz-release-release-kinetic-rviz-1.12.4-0/src/rviz/ogre_helpers/mesh_shape.cpp:144:64: error: invalid use of incomplete type ‘class Ogre::Mesh’
Ogre::MeshManager::getSingleton().remove(entity_->getMesh()->getName());